OS4 DepotLogo by invent 
(anonymous IP: 35.175.200.4,1348) 
 HomeRecentStatsSearchSubmitUploadsMirrorsContactInfoDisclaimerConfigAdmin
 Menu

 Features
   Crashlogs
   Bug tracker
   Locale browser
 

 Categories

   o Audio (330)
   o Datatype (47)
   o Demo (186)
   o Development (540)
   o Document (21)
   o Driver (89)
   o Emulation (142)
   o Game (872)
   o Graphics (468)
   o Library (102)
   o Network (205)
   o Office (56)
   o Utility (825)
   o Video (61)

Total files: 3944

Full index file
Recent index file

 Links

  Amigans.net
  OpenAmiga
  Aminet
  IntuitionBase


Support the site


 File comments for:  Game » Shmup » sf.lha

Starfighter

Description: Space Game
Download: sf.lha
Version: 1.6
Date: 03 Nov 2016
Category: game/shmup
FileID: 10059
RSS Feed url: http://os4depot.net/modules/comments/rssfeed.php?file=game/shmup/sf.lha

[Back to readme page]   [Add Comment]   [Refresh page]

Comment by: Username (79.214.226.34)At: 07 Nov 2016, 00:46File version: 1.6
thanks for the work
 
 
Comment by: AmigaBlitter (87.17.217.160)At: 05 Nov 2016, 11:53File version: 1.6
I realized that jpeg version of the images are heavily compressed.
I would like to replace the jpeg version with the png version of the images. How can i remove the jpg images and replace with png version?
 
 
Comment by: AmigaBlitter (87.11.239.28)At: 04 Nov 2016, 21:57File version: 1.6
Hi everyone,
sorry again for all these drawbacks. I compiled the game with the new version of SDL2 and sdl2mixer, this is the reason why the game fails to start. Btw, you can try do download the library from the link i've put on Amigans. Seems that i can't add a link directly in the comments.
 
 
Comment by: ddni (86.151.32.102)At: 04 Nov 2016, 12:23File version: 1.6
Hi I followed AmigaBlitters advice on amigans forum

You also need
libfreetype.lha
Set an assign for SF:

Then the game works.
Its good fun. Well done AmigaBlitter and thanks!
 
 
Comment by: ddni (86.151.32.102)At: 04 Nov 2016, 11:13File version: 1.6
Good point Srtest. I went back and tested other sdl2 programs. They all work as expected.
 
 
Comment by: Srtest (109.65.78.156)At: 04 Nov 2016, 10:38File version: 1.6
As Raziel said and contrary to ddni I'm pretty sure I have everything installed correctly as it works with other recent examples of SDL2. Maybe you automatically use the most recent dev builds of everything so what's available from the depot isn't relevent.
 
 
Comment by: marko (83.248.160.12)At: 03 Nov 2016, 21:50File version: 1.6
PS: I would not mind, the next re-upload name it starfighter.lha instead of sf.lha thanks
 
 
Comment by: Raziel (84.177.252.253)At: 03 Nov 2016, 17:58File version: 1.6
Hi AmigaBlitter,

this is not critisism, but feedback

I made the same mistake myself when first porting stuff that relied on shared (hellish) objects. :-)

You have two choices:

1) Build it static, so you will never have to worry again about that damn .so's and take away much pain for either the user hunting for the matching .so's or yourself packaging the stuff needed.

2) Try the game on a clean FE install and see which .so's are asked for by the program.
Gather them and for pete's mighty hammer place them into it's own "sobjs" drawer right where your exe is and upload it again...this way no user has to hunt for the .so's.

btw, even with the correct(?) libsdl2-mixer.so in place it keeps asking for the .so (if other .so's are still missing) and crashes in "WBL" for me afterwards. (Wondering if you have some changes in your libsdl2-mixer.so?)

NB: Funny thing is, that "listdyndep" only reports the very libsdl2-mixer.so (as a third party .so) to be needed by the program, but placing that file into sobjs summons a lot more .so's...like libmikmod, libmodplug, etc.

I gave up hunting for them...sorry

Nonetheless, keep on porting, mate, much appreciated
 
 
Comment by: AmigaBlitter (87.16.231.251)At: 03 Nov 2016, 16:10File version: 1.6
Could someone check with snoopy the libraries the program is looking for?
 
 
Comment by: AmigaBlitter (87.16.231.251)At: 03 Nov 2016, 16:07File version: 1.6
Sorry,

as i said i nthe read me, this is my first os4depot submission. My i've missed something?
 
 
Comment by: ddni (86.151.32.102)At: 03 Nov 2016, 14:10File version: 1.6
Thanks AmigaBlitter.
Still no luck here though. I am almost certainly installing libsdl2_mixer incorrectly.
 
 
Comment by: AmigaBlitter (87.17.217.253)At: 03 Nov 2016, 13:30File version: 1.6
Sorry guys, i forgot to mention the libsdl2_mixer.
Btw, i downloaded the game, unpacked to a dir and executed starfighter. It works flawlessy here.

 
 
Comment by: ddni (86.151.32.102)At: 03 Nov 2016, 13:11File version: 1.6
@srtest
I should have said, that it doesn't work for me either.
 
 
Comment by: Srtest (109.65.78.156)At: 03 Nov 2016, 13:10File version: 1.6
Did what you guys did yet it doesn't work.
 
 
Comment by: ddni (86.151.32.102)At: 03 Nov 2016, 12:45File version: 1.6
Same issue as mufa. I put the libsdl2_mixer-2.0.so.0 file into sobjs:
 
 
Comment by: Mufa (93.105.54.222)At: 03 Nov 2016, 12:26File version: 1.6
Hmm, "failed to load shared obiect libsdl2_mixer-2.0.so" (i install this package:http://os4depot.net/share/development/library/audio/libsdl2_mixer.lha)
and "starfigher is not executable file".Of course I checked the executable icon game.
 
 

Copyright © 2004-2019 by Björn Hagström All Rights Reserved